using System.Drawing;
using System.Windows.Forms;
using Nuwanda.TfsSpotlight.Shell.Expressions;

namespace Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces
{
    public interface ISideBar
    {
        bool Visible { get; set; }
        bool Collapsed { get; set; }
        string Text { get; set; }
        int Width { get; set; }
        Image Icon { get; set; }
        void SetContent(Control control);
        void Toggle();
        IToolStripConfigurationExpression ConfigureToolStrip();
    }
}