using System.Collections.Generic;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Services
{
    [PluginFamily("MenuState", Scope = InstanceScope.Singleton)]
    public interface IMenuState
    {
        IEnumerable<CommandConfiguration> RegisteredCommands { get; }
        CommandConfiguration this[string command] { get; }
        void Add(CommandConfiguration commandConfiguration);
        bool Contains(string commandName);
    }
}