using System;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Services.Interfaces
{
    /// <summary>Provides asynchronous invocation services</summary>
    [PluginFamily("AsyncService", Scope = InstanceScope.Singleton)]
    public interface IAsyncService
    {
        /// <summary>Invokes given action using thread pool</summary>
        /// <param name="action">Action to invoke</param>
        void QueueInPool(Action action);
    }
}