using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;

namespace Nuwanda.TfsSpotlight.Shell.Services
{
    [Author("Bartomiej Legid")]
    [StructureMap.Pluggable("ObjectFactory")]
    public class ObjectFactory : IObjectFactory
    {
        public T GetInstance<T>()
        {
            return StructureMap.ObjectFactory.GetInstance<T>();
        }

        public T GetNamedInstance<T>(string name)
        {
            return StructureMap.ObjectFactory.GetNamedInstance<T>(name);
        }
    }
}