using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.GoToWorkItem;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.ActivateGoToWorkItemBox)]
    public class ActivateGoToWorkItemBoxCommand : ICommand
    {
        public IGoToWorkItemPresenter GoToWorkItemPresenter { get; set; }

        public ActivateGoToWorkItemBoxCommand(IGoToWorkItemPresenter goToWorkItemPresenter)
        {
            this.GoToWorkItemPresenter = goToWorkItemPresenter;
        }

        public void Execute()
        {
            this.GoToWorkItemPresenter.Focus();
        }
    }
}