﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Moves to the previous work item from the active query</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.GoToPreviousWorkItem)]
    public class GoToPrevoiusWorkItemCommand : TabCommandBase<IQueryPresenter>
    {
        public GoToPrevoiusWorkItemCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(IQueryPresenter presenter)
        {
            presenter.HandleSelectPreviousWorkItem();
        }
    }
}
