﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Refreshes active tab</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.Refresh)]
    public class RefreshCommand : TabCommandBase<ITabPresenter>
    {
        public RefreshCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(ITabPresenter presenter)
        {
            presenter.HandleRefresh();
        }
    }
}
