﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Saves the currently selected work item from active query</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.Save)]
    public class SaveCommand : TabCommandBase<ITabPresenter>
    {
        public SaveCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(ITabPresenter presenter)
        {
            presenter.HandleSave();
        }
    }
}
