using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.ToggleHistoryPanel)]
    public class ToggleHistoryPanelCommand : ICommand
    {
        public void Execute()
        {
            ObjectFactory.GetNamedInstance<ISideBar>(SideBars.Right).Toggle();
        }
    }
}