﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Toggles servers pane expanded mode</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.ToggleProjectsPane)]
    public class ToggleProjectsPaneCommand : ICommand
    {
        public void Execute()
        {
            ObjectFactory.GetNamedInstance<ISideBar>(SideBars.Left).Toggle();
        }
    }
}