using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight
{
    /// <summary>Command names used in the application</summary>
    [Author("Bartomiej Legid")]
    public static class CommandsNames
    {
        public const string SearchWorkItemsByTitle = "cmd://application/searchByTitle";

        public const string ExitApplication = "cmd://application/exit";
        public const string RestartApplication = "cmd://application/restart";
        public const string OpenAboutWindow = "cmd://application/about";
        public const string Connect = "cmd://application/connect";
        public const string Disconnect = "cmd://application/disconnect";
        public const string Reconnect = "cmd://application/reconnect";
        public const string AutoConnect = "cmd://application/autoconnect";
        public const string CreateWorkItem = "cmd://application/create";

        public const string Refresh = "cmd://application/tab/refresh";
        public const string Save = "cmd://application/tab/save";
        public const string Load = "cmd://application/tab/load";

        public const string GoToNextWorkItem = "cmd://application/query/next";
        public const string GoToPreviousWorkItem = "cmd://application/query/prevoius";
        public const string RefreshWorkItem = "cmd://application/workitem/refresh";
        
        public const string SaveAllWorkItems = "cmd://application/query/saveAll";
        public const string LoadWorkItem = "cmd://application/workitem/load";
        public const string ToggleProjectsPane = "cmd://application/projects/toggle";
        public const string GoToWorkItem = "cmd://application/goToWorkItem";
        public const string ActivateGoToWorkItemBox = "cmd://application/activateGoToWorkItemBox";
        public const string OpenWorkItem = "cmd://application/query/openWorkItem";
        public const string OpenSettings = "cmd://application/openSettings";
        public const string CopyWorkItemIdToClipboard = "cmd://application/copyWorkItemIdToClipboard";

        public const string RefreshHistory = "cmd://application/history/refresh";
        public const string OpenWorkItemFromHistory = "cmd://application/history/open";
        public const string ToggleHistoryPanel = "cmd://application/history/toggle";

        public const string OpenChart = "cmd://application/query/openChart";

        public const string RunQuery = "cmd://application/query/run";
        public const string ClearHistory = "cmd://application/history/clear";

        public const string RefreshProjects = "cmd://application/server/refreshProjects";
        public const string OpenBuild = "cmd://application/server/openBuild";
        public const string StartBuild = "cmd://application/server/startBuild";
        
    }
}