using System.Collections.Generic;
using System.Linq;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Data;
using Nuwanda.TfsSpotlight.Views.Options;

namespace Nuwanda.TfsSpotlight.Data
{
    /// <summary>A collection of TFS servers settings</summary>
    [Author("Bartomiej Legid")]
    public class ServerDescriptorCollection 
        : BaseEntityCollection<ServerDescriptor>
    {
        public List<ServerSettingsItem> GetSettingsItems()
        {
            return new List<ServerSettingsItem>(
                from serverDescriptor in this select new ServerSettingsItem(serverDescriptor));
        }
    }
}