using System;
using System.Runtime.Serialization;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [Serializable]
    public class ConcurrentAccessException : BusinessLogicException
    {
        public ConcurrentAccessException() { }

        public ConcurrentAccessException(string message) : base(message) { }

        public ConcurrentAccessException(string message, Exception inner) : base(message, inner) { }

        protected ConcurrentAccessException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}