﻿using System;
using System.Runtime.Serialization;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.TFS
{
    /// <summary>Thrown when the application can't estabilish connection with TFS server</summary>
    [Author("Bartłomiej Legiędź")]
    [Serializable]
    public class CouldNotConnectToTfsServerException : BusinessLogicException
    {
        public CouldNotConnectToTfsServerException() { }

        public CouldNotConnectToTfsServerException(string message) : base(message) { }

        public CouldNotConnectToTfsServerException(string message, Exception inner) : base(message, inner) { }

        protected CouldNotConnectToTfsServerException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}