using System;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    public class ErrorEventArgs : EventArgs
    {
        public Exception Exception { get; private set; }
        public string ErrorMessage { get; private set; }

        public ErrorEventArgs(string errorMessage, Exception exception)
        {
            this.ErrorMessage = errorMessage;
            this.Exception = exception;
        }
    }
}