﻿using System;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.TFS
{
    /// <summary>Thrown when query is not valid</summary>
    [Author("Bartłomiej Legiędź")]
    [Serializable]
    public class QueryValidationException : BusinessLogicException
    {
        public QueryValidationException() { }
        public QueryValidationException(string message) : base(message) { }
        public QueryValidationException(string message, Exception inner) : base(message, inner) { }
        protected QueryValidationException(
            System.Runtime.Serialization.SerializationInfo info,
            System.Runtime.Serialization.StreamingContext context)
            : base(info, context) { }
    }
}