using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.ChartView
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ChartPresenter")]
    public interface IChartPresenter : ITabPresenter
    {
        void Initialize();
        void HandleCopyChartToClipboard();
        void HandleSaveChartAsImage();
        void UpdateChart();
        void UpdateChartStyle();
    }
}