using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.CreateWorkItem
{
    [Author("Bartomiej Legid")]
    [PluginFamily("CreateWorkItemPresenter")]
    public interface ICreateWorkItemPresenter
    {
        void Initialize(ProjectDescriptor project);
        void Show();
        void HandleCreate();
        void HandleSelectedTypeChanged();
        void HandleRefresh();
    }
}