using System.Collections.Generic;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Views.Server;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Views.Servers
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ServersModel", Scope = InstanceScope.Singleton)]
    public interface IServersModel
    {
        List<IServerPresenter> DataSource { get; }
        void Load();
    }
}