using System.Windows.Forms;
using Nuwanda.Common;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Views.WorkItemHistory
{
    [Author("Bartomiej Legid")]
    [PluginFamily("HistoryPresenter", Scope = InstanceScope.Singleton)]
    public interface IHistoryPresenter
    {
        void Initialize();
        void HandleRefresh();
        IHistoryView View { get; }
        Control ViewConrol { get; }
        void HandleOpen();
    }
}