using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Data;

namespace TfsSpotlight.Tests.Data
{
    [Author("Bartomiej Legid")]
    public class BaseEntityTestableStub : BaseEntity<BaseEntityTestableStub>
    {
        private string _stringProperty;
        public string StringProperty
        {
            get { return this._stringProperty; }
            set
            {
                this._stringProperty = value;
                base.OnPropertyChanged("StringProperty");
            }
        }

        private int _intProperty;
        public int IntProperty
        {
            get { return this._intProperty; }
            set
            {
                this._intProperty = value;
                base.OnPropertyChanged("IntProperty");
            }
        }
    }
}