using System.Drawing;
using System.Windows.Forms;

namespace Nuwanda.TfsSpotlight.Shell.Expressions
{
    public interface ICommandConfigurationExpression
    {
        void Commit();
        ICommandConfigurationExpression Name(string name);
        ICommandConfigurationExpression Image(Image image);
        ICommandConfigurationExpression Shortcut(Keys shortcut);
        ICommandConfigurationExpression AlwaysActive();
        ICommandConfigurationExpression Asynchronous();
    }
}