using System.Drawing;
using System.Windows.Forms;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces
{
    [PluginFamily]
    public interface IStatusBar
    {
        void SetMessage(string message, Image icon);
        void ClearMessage();
        void StartProgress(ProgressBarStyle style);
        void StartProgress(ProgressBarStyle style, string message);
        void StopProgress();
        DialogResult ShowQuestion(string question, MessageBoxButtons buttons);
    }
}