using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces
{
    [PluginFamily("TabStripPresenter", Scope = InstanceScope.Singleton)]
    public interface ITabStripPresenter
    {
        void Initialize();
        void HandleTabClosing(ITabStripItem tab);
        void HandleSelectedTabChanged(ITabStripItem tab);
        void HandleTabScrolled(int direction);
    }
}