using System.Windows.Forms;
using Nuwanda.TfsSpotlight.Shell.Services;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces
{
    [PluginFamily]
    public interface IToolStrip
    {
        void Clear();
        void Add(CommandConfiguration commandConfiguration);
        void Add(ToolStripItem item);
        bool Visible { get; set; }
        ControlInvoker ToolStripInvoker { get; }
    }
}