﻿using System;
using Nuwanda.Common;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Services.Interfaces
{
    [Author("Bartłomiej Legiędź")]
    [PluginFamily("Logger", Scope = InstanceScope.Singleton)]
    public interface ILogger
    {
        void WriteActivity(string activity);
        void WriteError(string error);
        void WriteWarning(string warning);
        void WriteInformation(string information);
        void WriteException(Exception exception);
    }
}