using StructureMap;

namespace Nuwanda.TfsSpotlight.Shell.Services.Interfaces
{
    /// <summary>Provides object creation services</summary>
    [PluginFamily("ObjectFactory")]
    public interface IObjectFactory
    {
        T GetInstance<T>();
        T GetNamedInstance<T>(string name);
    }
}