﻿using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.Shell.Services.Interfaces
{
    /// <summary>Provides self updating services</summary>
    [PluginFamily("UpdateService", Scope = InstanceScope.Singleton)]
    public interface IUpdateService
    {
        /// <summary>Checks for application updates</summary>
        void CheckForUpdates();
    }
}