using System;
using System.Runtime.Serialization;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight
{
    [Author("Bartomiej Legid")]
    [Serializable]
    public class BusinessLogicException : Exception
    {
        public BusinessLogicException() { }

        public BusinessLogicException(string message) : base(message) { }

        public BusinessLogicException(string message, Exception inner) : base(message, inner) { }

        protected BusinessLogicException( SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}