using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Proxies.Interfaces;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Loads active tab</summary>
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.Load)]
    public class LoadCommand : TabCommandBase<ITabPresenter>
    {
        public LoadCommand(ITabsService tabsService) : base(tabsService) { }

        protected override void SubExecute(ITabPresenter presenter)
        {
            presenter.HandleLoad();
        }
    }
}
