﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.LoadWorkItem)]
    public class LoadWorkItemCommand : TabCommandBase<IQueryPresenter>
    {
        public LoadWorkItemCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(IQueryPresenter presenter)
        {
            presenter.HandleLoadWorkItem();
        }
    }
}
