using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.WorkItemHistory;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    [Author("Bartomiej Legid")]
    [Pluggable(CommandsNames.OpenWorkItemFromHistory)]
    public class OpenWorkItemFromHistoryCommand : ICommand
    {
        private IHistoryPresenter HistoryPresenter { get; set; }

        public OpenWorkItemFromHistoryCommand(IHistoryPresenter historyPresenter)
        {
            this.HistoryPresenter = historyPresenter;
        }

        public void Execute()
        {
            this.HistoryPresenter.HandleOpen();
        }
    }
}