﻿using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell.Services.Interfaces;
using Nuwanda.TfsSpotlight.Views.Query;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Commands
{
    /// <summary>Refreshes currently selected work item from the active query</summary>
    [Author("Bartłomiej Legiędź")]
    [Pluggable(CommandsNames.RefreshWorkItem)]
    public class RefreshWorkItemCommand : TabCommandBase<IQueryPresenter>
    {
        public RefreshWorkItemCommand(ITabsService tabsService) : base(tabsService) {}

        protected override void SubExecute(IQueryPresenter presenter)
        {
            presenter.HandleRefreshWorkItem();
        }
    }
}
