﻿using Nuwanda.Common;
using System.Diagnostics;

namespace Nuwanda.TfsSpotlight.Data
{
    /// <summary>Describes query view layout</summary>
    [Author("Bartłomiej Legiędź")]
    public class QueryLayoutState
    {
        /// <summary>State of the query result panel</summary>
        public bool QueryResultExpanded { [DebuggerStepThrough] get; set; }

        /// <summary>Height of the wuery result panel</summary>
        public int QueryResultHeight { [DebuggerStepThrough] get; set; }

        public QueryLayoutState() { }

        public QueryLayoutState(bool queryResultExpanded, int queryResultHeight)
        {
            this.QueryResultExpanded = queryResultExpanded;
            this.QueryResultHeight = queryResultHeight;
        }
    }
}
