using Nuwanda.Common;
using StructureMap;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [PluginFamily("TeamFoundationServerFactory", IsSingleton=true)]
    public interface ITeamFoundationServerFactory
    {
        ITeamFoundationServer GetServer(string name);
        ITeamFoundationServer GetServer(string name, Microsoft.TeamFoundation.Client.ICredentialsProvider credentialsProvider);
    }
}