﻿using Nuwanda.Common;
using StructureMap;
using StructureMap.Attributes;

namespace Nuwanda.TfsSpotlight.TFS
{
    /// <summary>Retrieves servers defined for Visual Studio</summary>
    [Author("Bartłomiej Legiędź")]
    [PluginFamily("VisualStudioServersRegister", Scope = InstanceScope.Singleton)]
    public interface IVisualStudioServersRegister
    {
        /// <summary>Retrieves servers defined for Visual Studio</summary>
        string[] GetServerNames();
    }
}
