using System;
using System.Runtime.Serialization;
using Nuwanda.Common;

namespace Nuwanda.TfsSpotlight.TFS
{
    [Author("Bartomiej Legid")]
    [Serializable]
    public class WorkItemValidationException : BusinessLogicException
    {
        public WorkItemValidationException() { }

        public WorkItemValidationException(string message) : base(message) { }

        public WorkItemValidationException(string message, Exception inner) : base(message, inner) { }

        protected WorkItemValidationException(SerializationInfo info, StreamingContext context) : base(info, context) { }
    }
}