using System.Collections.Generic;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Data;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Builds
{
    [Author("Bartomiej Legid")]
    [PluginFamily("BuildsView")]
    public interface IBuildsView : IBaseControl
    {
        List<BuildDataDescriptor> DataSource { set; }
        void StartProgress();
        void StopProgress();
        void Deselect();
    }
}