using System.Windows.Forms;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell;

namespace Nuwanda.TfsSpotlight.Views.GoToWorkItem
{
    [Author("Bartomiej Legid")]
    public interface IGoToWorkItemView
    {
        void AttachPresenter(IGoToWorkItemPresenter presenter);
        void ShowDropDown();
        string GetTextBoxText();
        void AddDropDownItem(ToolStripMenuItem item);
        void HideDropDown();
        void RemoveDropDownItem(ToolStripMenuItem item);
        void ClearDropDownItems();
        void SetFocusToWorkItemIdTextBox();
        ControlInvoker ToolStripInvoker { get; }
        void SetContent(string content);
    }
}