using System.Windows.Forms;
using Nuwanda.Common;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.Project
{
    [Author("Bartomiej Legid")]
    [PluginFamily("ProjectView")]
    public interface IProjectView
    {
        string Text { get; set; }
        object Tag { set; }
        void AttachPresenter(ProjectPresenter presenter);
        void AddQueries(TreeNode[] queries);
        ContextMenuStrip ContextMenuStrip { get; set; }
    }
}