using Microsoft.TeamFoundation.WorkItemTracking.Controls;
using Nuwanda.Common;
using Nuwanda.TfsSpotlight.Shell;
using StructureMap;

namespace Nuwanda.TfsSpotlight.Views.WorkItems
{
    [Author("Bartomiej Legid")]
    [PluginFamily("WorkItemView")]
    public interface IWorkItemView : IBaseControl
    {
        void SetCaption(string caption);
        void Disable();
        void Enable();
        WorkItemFormControl GetWorkItemControl();
        ControlInvoker Invoker { get; }
    }
}