using Nuwanda.TfsSpotlight.Data;
using System.Runtime.Serialization;

namespace TfsSpotlight.Tests
{
    public static class ObjectMother
    {
        public static ServerDescriptor CreateNamedServerDescriptor()
        {
            return new ServerDescriptor("NAME", "http://www.wp.pl/");
        }

        public static ServerDescriptor CreateNamedServerDescriptor2()
        {
            return new ServerDescriptor("NAME2", "http://www.onet.pl/");
        }

        public static T GetUninitialized<T>()
        {
            return (T) FormatterServices.GetUninitializedObject(typeof (T));
        }
    }
}